ServiceContext.RegistryTopic
Date: 2014-06-19

org.gcube.informationsystem.registry.impl.contexts

## Enum ServiceContext.RegistryTopic

- java.lang.Object
- - java.lang.Enum<ServiceContext.RegistryTopic>
  - - org.gcube.informationsystem.registry.impl.contexts.ServiceContext.RegistryTopic

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ServiceContext.RegistryTopic>
  Enclosing class:
    ServiceContext

      public static enum ServiceContext.RegistryTopic
      extends java.lang.Enum<ServiceContext.RegistryTopic>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATE`
    `REMOVE`
    `UPDATE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ServiceContext.RegistryTopic` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ServiceContext.RegistryTopic[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATE

          public static final ServiceContext.RegistryTopic CREATE

    - #### UPDATE

          public static final ServiceContext.RegistryTopic UPDATE

    - #### REMOVE

          public static final ServiceContext.RegistryTopic REMOVE

  - ### Method Detail

    - #### values

          public static ServiceContext.RegistryTopic[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServiceContext.RegistryTopic c : ServiceContext.RegistryTopic.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServiceContext.RegistryTopic valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null